import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { MentionsComponent } from './mentions.component';
/**
 * The NgxMentionsAccessorDirective directive is used to indicate the input element.
 * This directive is required.
 */
export declare class MentionsAccessorDirective implements OnInit, OnDestroy, ControlValueAccessor {
    private element;
    private host;
    private _onChange;
    private _onTouch;
    private _destroyed;
    constructor(element: ElementRef, host: MentionsComponent);
    ngOnInit(): void;
    ngOnDestroy(): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(value: string): void;
    onChange(value: any): void;
    onTouched(): void;
}
